import request from '@/utils/request'

// 查询礼物列表
export function listGift(query) {
  return request({
    url: '/cai/gift/list',
    method: 'get',
    params: query
  })
}

// 查询礼物详细
export function getGift(id) {
  return request({
    url: '/cai/gift/' + id,
    method: 'get'
  })
}

// 新增礼物
export function addGift(data) {
  return request({
    url: '/cai/gift',
    method: 'post',
    data: data
  })
}

// 修改礼物
export function updateGift(data) {
  return request({
    url: '/cai/gift',
    method: 'put',
    data: data
  })
}

// 删除礼物
export function delGift(id) {
  return request({
    url: '/cai/gift/' + id,
    method: 'delete'
  })
}
